export interface TemplateOptions {
    /***
     * Argument name to use in template function
     */
    dataName: string;
    /***
     * Output array name for use in template function
     */
    outName: string;
}
/***
 * Create a template function.
 * Syntax for template is `{{property}}` or `{{ if (someCondition} { out.push(someProp) } }}`
 * @param {string} template Template string
 * @param {{dataName:string,outName:string}}? options Options for template
 * @returns {(data: any) => string} Template function
 */
export declare function template(template: string, {dataName, outName}?: Partial<TemplateOptions>): (data: any) => string;
